/*Botón de login*/
.btn-login {
  color: #fff;
  background-color: #AA76FF;
  border-color: #AA76FF;
  padding: 0.5rem 1.5rem;
  border-radius: 1.25rem;
  font-family: "Roboto";
  font-weight: 600;
  letter-spacing: 0.0625rem;
  text-transform: uppercase;
}

.btn-login:hover {
  color: #fff;
  background-color: #9C63FF;  
  border-color: #955BFF;
}

.btn-login:focus,
.btn-login.focus {
  color: #fff;
  background-color: #9C63FF;
  border-color: #955BFF;
  box-shadow: 0 0 0 3px rgba(170, 118, 255, 0.45); 
}

.btn-login.disabled,
.btn-login:disabled {
  color: #fff;
  background-color: #CDB0FF;
  border-color: #CDB0FF;
}

.btn-login:active,
.btn-login.active,
.show > .btn-login.dropdown-toggle {
  color: #fff;
  background-color: #8E52FF;
  border-color: #874AFF;
  background-image: none;
}

/*Icono del ojo para la constraseña*/
.eye-login{
  width:24px;
  cursor:pointer;
  display:block;
}

.eye-login:hover{
  opacity:0.8;
}

/*Textfield de usuario y contraseña*/
.login-form .form-control{
  height: 2.75rem;
  border-radius:1.25rem;
  border: none;
  padding: 1.25rem;
  font-family: "Roboto";
  font-weight: 600;
  letter-spacing: 0.0625rem;
  margin-bottom: 1.5rem;
}

.login-form .form-control::placeholder {
  color: #BDBDBD;
  opacity: 1;     
  text-transform: uppercase;
}

.login-form .form-control:focus {
  color: #495057;              
  background-color: #fff;       
  border-color: #AA76FF;      
  outline: 0;                  
  box-shadow: 0 0 0 0.2rem rgba(170, 118, 255, 0.25); 
}

/*Para Firefox*/
.login-form .form-control::-moz-placeholder {
    color: #BDBDBD;
    text-transform: uppercase;
    font-weight: 600;      
    text-shadow: none;    
    text-rendering: auto;  
}

.login-form .form-control:-moz-placeholder-shown:focus::-moz-placeholder {
    color: #BDBDBD;
    font-weight: 600;       
    text-shadow: none;      
    text-rendering: auto;   
}

/*Contenedor del Icono del ojo para la contraseña*/
.login-form .input-group-text{
  background-color: #fff;
  border-radius:0 1.25rem 1.25rem 0;
  border: none;
  padding: 0rem 1.25rem;
  margin-bottom: 1.5rem;
}


.login-logo-img {
  margin-top: -0.75rem!important;  
  margin-bottom: 0.5rem!important;   
}


@font-face {
  font-family: 'Roboto';
  src: url('../webfonts/login/Roboto-VariableFont_wdth,wght.ttf') format('truetype');
}


.login-form .form-control:-webkit-autofill {
  -webkit-box-shadow: 0 0 0px 1000px #fff inset;
  -webkit-text-fill-color: #000; 
  transition: background-color 5000s ease-in-out; 
}

.login-form .form-control:-moz-autofill {
  box-shadow: 0 0 0px 1000px #fff inset;
  -moz-text-fill-color: #000;
}

